import type { Container } from '@microsoft/fast-foundation';
export declare const zeroGridComponents: {
    zeroAgActionRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").ZeroAgActionRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("./cell-renderers").ZeroAgActionRenderer, any>;
    }, typeof import("./cell-renderers").ZeroAgActionRenderer>;
    zeroAgActionsMenuRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./cell-renderers").ZeroAgActionsMenuRenderer>;
    zeroAgBooleanRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./cell-renderers").ZeroBooleanRenderer>;
    zeroAgTextRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/grid-pro").AgTextFieldRenderer, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<import("@genesislcap/grid-pro").AgTextFieldRenderer, any>;
    }, typeof import("./cell-renderers").ZeroAgTextRenderer>;
    zeroAgSelectRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        baseName: string;
        styles: import("@microsoft/fast-element").ElementStyles;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    }, typeof import("./cell-renderers").ZeroAgSelectRenderer>;
    zeroGridPro: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
        shadowOptions: any;
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
        shadowOptions: any;
        baseName: string;
        template: import("@microsoft/fast-element").ViewTemplate<any, any>;
        styles: import("@microsoft/fast-element").ElementStyles;
    }, typeof import("./grid-pro").ZeroGridPro>;
    register(container?: Container, ...rest: any[]): void;
};
//# sourceMappingURL=grid-components.d.ts.map